# Uso de Fluid Player con Angular

Fluid Player funciona con Angular de forma inmediata. Para empezar a usar Fluid Player en tu proyecto de Angular, necesitarás:

* instalar Fluid Player usando Yarn o NPM como se indica [aquí](/es/integracion/quick-setup.md#integration-using-npm); y
* importar el módulo de Fluid Player y asociarlo al elemento de video que elijas.

Puedes ver un ejemplo de cómo integrar Fluid Player y Angular en el ejemplo de abajo. Este es un ejemplo simplificado para que empieces rápidamente. Sigue las mejores prácticas de Angular sobre cómo crear componentes reutilizables según las necesidades de tu proyecto.

{% hint style="warning" %}
**IMPORTANTE:** no se admite el cambio dinámico de स्रोत. Tú **debes** redibujar el componente O volver a crear la instancia de Fluid Player para cambiar las fuentes u otra configuración del reproductor.
{% endhint %}

#### app.component.html

```html
<video #ref>
    <source
            src="https://cdn.fluidplayer.com/videos/valerian-1080p.mkv"
            data-fluid-hd
            title="1080p"
            type="video/mp4"
    >
</video>
```

{% hint style="info" %}
**Nota**: Safari no admite la reproducción de archivos .mkv. Para ver este tipo de archivo, considera usar otro navegador que admita el formato .mkv.
{% endhint %}

#### app.component.ts

```typescript
import {AfterViewChecked, Component, ElementRef, ViewChild} from '@angular/core';
import fluidPlayer from 'fluid-player';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements AfterViewChecked {

  fluidPlayer: any;

  @ViewChild('ref') ref!: ElementRef;

  ngAfterViewChecked() {
    if (!this.fluidPlayer) {
      this.fluidPlayer = fluidPlayer(this.ref.nativeElement);
    }
  }
}
```

#### angular.json

Dentro de la `opciones` propiedad:

```json
{
  ...
  "styles": [\
    "src/styles.css",\
    "node_modules/fluid-player/src/css/fluidplayer.css"\ 
  ],
  ...
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluidplayer.com/es/integracion/using-fluid-player-with-angular.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
